Abuse
All operations require authentication.
List hack blocksProduction
List hack blocks. Returns the addresses of the block blocked for outgoing attacks, filterable by state.
Path parameters
IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)
Query parameters
Filter the value of state property (=)
blockedunblockingResponse
Example uses ip = 192.0.2.0/24
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ip/ {ip}/ antihack \
-H "authorization: Bearer $OVH_TOKEN"[ "192.0.2.0"]
List ARP blocksProduction
List ARP blocks. Returns the addresses of the block blocked for ARP spoofing, filterable by state: blocked or unblocking.
Path parameters
IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)
Query parameters
Filter the value of state property (=)
blockedunblockingResponse
Example uses ip = 192.0.2.0/24
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ip/ {ip}/ arp \
-H "authorization: Bearer $OVH_TOKEN"[ "192.0.2.0"]
List spam blocksProduction
List spam blocks. Returns the addresses of the block blocked for sending spam, filterable by state: blockedForSpam, unblocked or unblocking.
Path parameters
IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)
Query parameters
Filter the value of state property (=)
blockedForSpamunblockedunblockingResponse
Example uses ip = 192.0.2.0/24
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ip/ {ip}/ spam \
-H "authorization: Bearer $OVH_TOKEN"[ "192.0.2.0"]
List spam statisticsProduction
List spam statistics. Returns emails sent, spams detected and average spam score over the given period.
Path parameters
IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)
IP address which is sending spam
Query parameters
Start date
End date
Response
Average spam score.
Detailed list of the spams
Number of spams sent
Time when the IP address was blocked
Number of emails sent
Example uses ip = 192.0.2.0/24, ipSpamming = 192.0.2.0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ip/ {ip}/ spam/ {ipSpamming}/ stats \
-H "authorization: Bearer $OVH_TOKEN"[ { "averageSpamscore": 0, "detectedSpams": [ { "date": 0, "destinationIp": "192.0.2.0", "messageId": "string", "spamscore": 0 } ], "numberOfSpams": 0, "timestamp": 0, "total": 0 }]
List phishing reportsProduction
List phishing reports. Returns the IDs of phishing URLs found on the block, filterable by address or state.
Path parameters
IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)
Query parameters
Filter the value of ipOnAntiphishing property (within or equals)
Filter the value of state property (=)
blockedblockingunblockedunblockingResponse
Example uses ip = 192.0.2.0/24
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ip/ {ip}/ phishing \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a hack blockProduction
Get a hack block. Returns the block date, logs, state, and the seconds left before you can ask to unblock.
Path parameters
IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)
your IP
Response
The last blocking date
your IP
Logs
this IP address state
blockedunblockingTime (in seconds) remaining before you can request your IP to be unblocked
Example uses ip = 192.0.2.0/24, ipBlocked = 192.0.2.0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ip/ {ip}/ antihack/ {ipBlocked} \
-H "authorization: Bearer $OVH_TOKEN"{ "blockedSince": "2024-01-01T12:00:00Z", "ipBlocked": "192.0.2.0", "logs": "string", "state": "blocked", "time": 0}
Get an ARP blockProduction
Get an ARP block. Returns the block date, ARP logs, and the seconds left before you can ask to unblock.
Path parameters
IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)
your IP
Response
The last blocking date
your IP
ARP logs
this IP address state
blockedunblockingTime (in seconds) remaining before you can request your IP to be unblocked
Example uses ip = 192.0.2.0/24, ipBlocked = 192.0.2.0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ip/ {ip}/ arp/ {ipBlocked} \
-H "authorization: Bearer $OVH_TOKEN"{ "blockedSince": "2024-01-01T12:00:00Z", "ipBlocked": "192.0.2.0", "logs": "string", "state": "blocked", "time": 0}
Get a spam blockProduction
Get a spam block. Returns the last block date, the state, and how long, in seconds, the address stays blocked.
Path parameters
IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)
IP address which is sending spam
Response
Last date the ip was blocked
IP address which is sending spam
Current state of the ip
blockedForSpamunblockedunblockingTime (in seconds) while the IP will be blocked
Example uses ip = 192.0.2.0/24, ipSpamming = 192.0.2.0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ip/ {ip}/ spam/ {ipSpamming} \
-H "authorization: Bearer $OVH_TOKEN"{ "date": "2024-01-01T12:00:00Z", "ipSpamming": "192.0.2.0", "state": "blockedForSpam", "time": 0}
Get a phishing reportProduction
Get a phishing report. Returns the phishing URL, the address hosting it, the date of the event and its state.
Path parameters
Internal ID of the phishing entry
IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)
Response
Date of the event
Internal ID of the phishing entry
IP address hosting the phishing URL
Current state of the phishing
blockedblockingunblockedunblockingPhishing URL
Example uses id = 0, ip = 192.0.2.0/24
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ip/ {ip}/ phishing/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "creationDate": "2024-01-01T12:00:00Z", "id": 0, "ipOnAntiphishing": "192.0.2.0", "state": "blocked", "urlPhishing": "string"}
Lift a hack blockProduction
Lift a hack block. Unblocks the address once the waiting time is over. Get the hack block to see the seconds left.
Path parameters
IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)
your IP
Response
Example uses ip = 192.0.2.0/24, ipBlocked = 192.0.2.0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ip/ {ip}/ antihack/ {ipBlocked}/ unblock \
-H "authorization: Bearer $OVH_TOKEN"Lift an ARP blockProduction
Lift an ARP block. Unblocks the address once the waiting time is over. Get the ARP block to see the seconds left.
Path parameters
IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)
your IP
Response
Example uses ip = 192.0.2.0/24, ipBlocked = 192.0.2.0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ip/ {ip}/ arp/ {ipBlocked}/ unblock \
-H "authorization: Bearer $OVH_TOKEN"Lift a spam blockProduction
Lift a spam block. Releases the address from the anti-spam system, and returns the spam block of the address.
Path parameters
IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)
IP address which is sending spam
Response
Last date the ip was blocked
IP address which is sending spam
Current state of the ip
blockedForSpamunblockedunblockingTime (in seconds) while the IP will be blocked
Example uses ip = 192.0.2.0/24, ipSpamming = 192.0.2.0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ip/ {ip}/ spam/ {ipSpamming}/ unblock \
-H "authorization: Bearer $OVH_TOKEN"{ "date": "2024-01-01T12:00:00Z", "ipSpamming": "192.0.2.0", "state": "blockedForSpam", "time": 0}